<nav data-cy="navbar" class="navbar navbar-dark navbar-expand-md bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()">
      <span class="logo-img"></span>
      <span class="navbar-title">Fidusia</span>
      <!--<span class="navbar-version">{{ version }}</span>-->
    </a>
    <a
      class="navbar-toggler d-lg-none"
      href="javascript:void(0);"
      data-toggle="collapse"
      data-target="#navbarResponsive"
      aria-controls="navbarResponsive"
      aria-expanded="false"
      aria-label="Toggle navigation"
      (click)="toggleNavbar()"
    >
      <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="home"></fa-icon>
              <span>Home</span>
            </span>
          </a>
        </li>
        <!--ROLE LEASING START-->
        <li *jhiHasAnyAuthority="'ROLE_LEASING'" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="cloud"></fa-icon>
              <span>Upload Berkas</span>
            </span>
          </a>
        </li>
        <li
          *jhiHasAnyAuthority="'ROLE_LEASING'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="list"></fa-icon>
              <span>Laporan</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
            <li>
              <a class="dropdown-item" routerLink="/admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Sertifikat Fidusia</span>
              </a>
            </li>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
          </ul>
        </li>
        <!--ROLE LEASING START-->

        <!--ROLE NOTARIS START-->
        <li *jhiHasAnyAuthority="'ROLE_NOTARIS'" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="cloud"></fa-icon>
              <span>Input Akta</span>
            </span>
          </a>
        </li>
        <li *jhiHasAnyAuthority="'ROLE_NOTARIS'" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="cloud"></fa-icon>
              <span>Minuta</span>
            </span>
          </a>
        </li>
        <li
          *jhiHasAnyAuthority="'ROLE_NOTARIS'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="list"></fa-icon>
              <span>Setting</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="user-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="/admin/logs"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Biodata</span>
              </a>
            </li>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
            <li>
              <a
                class="dropdown-item"
                routerLink="/admin/logs"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Jam Kerja</span>
              </a>
            </li>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
            <li>
              <a
                class="dropdown-item"
                routerLink="/admin/logs"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Staf Saksi</span>
              </a>
            </li>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
          </ul>
        </li>
        <!--ROLE NOTARIS START-->

        <!--ROLE OPERATOR START-->
        <li
          *jhiHasAnyAuthority="'ROLE_OPERATOR'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="list"></fa-icon>
              <span>Verifikasi Berkas</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="user-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="/admin/logs"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Perorangan</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/admin/logs"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Badan</span>
              </a>
            </li>
          </ul>
        </li>
        <!--ROLE OPERATOR START-->

        <!--ROLE ADMIN START-->
        <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
        @if (account !== null) {
          <li
            *jhiHasAnyAuthority="'ROLE_ADMIN'"
            ngbDropdown
            class="nav-item dropdown pointer"
            display="dynamic"
            routerLinkActive="active"
            [routerLinkActiveOptions]="{ exact: true }"
          >
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu" data-cy="entity">
              <span>
                <fa-icon icon="th-list"></fa-icon>
                <span>Entities</span>
              </span>
            </a>
            <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/raw-data"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Raw Data</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/order-data"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Order Data</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/berkas"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Berkas</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/remark"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Remark</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/sk-subtitusi"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Sk Subtitusi</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/cabang"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Cabang</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/leasing"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Leasing</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/order-notaris"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Order Notaris</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/notaris"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Notaris</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/order-kerja"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Order Kerja</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/ppk"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Ppk</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/orang"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Orang</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/badan"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Badan</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/kendaraan"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Kendaraan</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/akta"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Akta</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/penerima-kuasa"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Penerima Kuasa</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/saksi"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Saksi</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/sertifikat"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Sertifikat</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/invoice"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span>Invoice</span>
                </a>
              </li>
              <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
            </ul>
          </li>
        }
        <li
          *jhiHasAnyAuthority="'ROLE_ADMIN'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="users-cog"></fa-icon>
              <span>Administration</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
            <li>
              <a class="dropdown-item" routerLink="/admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="users" [fixedWidth]="true"></fa-icon>
                <span>User management</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tachometer-alt" [fixedWidth]="true"></fa-icon>
                <span>Metrics</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="heart" [fixedWidth]="true"></fa-icon>
                <span>Health</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="cogs" [fixedWidth]="true"></fa-icon>
                <span>Configuration</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span>Logs</span>
              </a>
            </li>
            @if (openAPIEnabled) {
              <li>
                <a class="dropdown-item" routerLink="/admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                  <fa-icon icon="book" [fixedWidth]="true"></fa-icon>
                  <span>API</span>
                </a>
              </li>
            }
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
          </ul>
        </li>
        <li
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu" data-cy="accountMenu">
            @if (!account?.imageUrl) {
              <span>
                <fa-icon icon="user"></fa-icon>
                <span>Account</span>
              </span>
            } @else {
              <span>
                <img [src]="account!.imageUrl" class="profile-image rounded-circle" alt="Avatar" />
              </span>
            }
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
            @if (account !== null) {
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/account/settings"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="settings"
                >
                  <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                  <span>Settings</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/account/password"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="passwordItem"
                >
                  <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                  <span>Password</span>
                </a>
              </li>
              <li>
                <a class="dropdown-item" (click)="logout()" id="logout" data-cy="logout">
                  <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                  <span>Sign out</span>
                </a>
              </li>
            } @else {
              <li>
                <a class="dropdown-item" (click)="login()" id="login" data-cy="login">
                  <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                  <span>Sign in</span>
                </a>
              </li>
              <!--<li>
                <a
                  class="dropdown-item"
                  routerLink="/account/register"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="register"
                >
                  <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                  <span>Register</span>
                </a>
              </li>-->
            }
          </ul>
        </li>
      </ul>
      <!--ROLE ADMIN START-->
    </div>
  </div>
</nav>
